#pragma once

#include "CoreMinimal.h"
#include "Components/BillboardComponent.h"
#include "UObject/NoExportTypes.h"
#include "BhvrWatermarkComponent.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class BHVRASSETVIEWER_API UBhvrWatermarkComponent : public UBillboardComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FVector WatermarkLocation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FVector WatermarkOffset;

	UPROPERTY(EditAnywhere)
	double WatermarkSize;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool bIsWatermarkHidden;

public:
	UFUNCTION(BlueprintCallable)
	void SetWatermarkSize(double NewSize);

	UFUNCTION(BlueprintCallable)
	void SetWatermarkLocation(FVector NewLocation);

	UFUNCTION(BlueprintCallable)
	void SetWatermarkHidden(bool bNewHidden);

	UFUNCTION(BlueprintPure)
	FVector GetWatermarkLocation();

public:
	UBhvrWatermarkComponent();
};

FORCEINLINE uint32 GetTypeHash(const UBhvrWatermarkComponent) { return 0; }
